> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 테이블 쿼리



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /table/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /table/query:
    post:
      tags:
        - Tables
      summary: 테이블 쿼리
      operationId: table_query_table_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableQueryReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableQueryRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    TableQueryReq:
      additionalProperties: false
      properties:
        digest:
          description: 쿼리할 테이블의 다이제스트
          examples:
            - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
          title: Digest
          type: string
        filter:
          anyOf:
            - $ref: '#/components/schemas/TableRowFilter'
            - type: 'null'
          description: 쿼리에 적용할 선택적 필터입니다. 자세한 내용은 `TableRowFilter`를 참조하세요.
          examples:
            - row_digests:
                - >-
                  aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
                - >-
                  aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          description: 반환할 최대 행 수
          examples:
            - 100
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          description: 행 반환을 시작하기 전에 건너뛸 행 수
          examples:
            - 10
          title: Offset
        project_id:
          description: 프로젝트 ID
          examples:
            - my_entity/my_project
          title: Project Id
          type: string
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortBy'
              type: array
            - type: 'null'
          description: >-
            정렬 기준으로 사용할 필드 목록입니다. 딕셔너리 값에 접근하려면 점으로 구분된 필드를 사용할 수 있습니다. 정렬을 지정하지
            않으면 테이블의 기본 순서(삽입 순서)가 사용됩니다.
          examples:
            - - field: col_a.prop_b
                order: desc
          title: Sort By
      required:
        - project_id
        - digest
      title: TableQueryReq
      type: object
    TableQueryRes:
      properties:
        rows:
          items:
            $ref: '#/components/schemas/TableRowSchema'
          title: Rows
          type: array
      required:
        - rows
      title: TableQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TableRowFilter:
      additionalProperties: false
      properties:
        row_digests:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 필터링할 행 다이제스트 목록
          examples:
            - - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
              - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
          title: Row Digests
      title: TableRowFilter
      type: object
    SortBy:
      additionalProperties: false
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        field:
          title: Field
          type: string
      required:
        - field
        - direction
      title: SortBy
      type: object
    TableRowSchema:
      properties:
        digest:
          title: Digest
          type: string
        original_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Original Index
        val:
          title: Val
      required:
        - digest
        - val
      title: TableRowSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````